Ledga
GET/account-sets/{accountSetId}

Get a specific account set

Display the specified account set

Parameters

NameInTypeDescription
accountSetIdrequired path string
uuid
Account Set UUID

Responses

200Successful operation
{
  "success": true,
  "data": {
    "id": "01997c1e-4d2a-7c3e-9a1b-2f0e8c6d4b5a",
    "ledger_id": "01997c1e-4d2a-7c3e-9a1b-2f0e8c6d4b5a",
    "code": "OPERATING_EXPENSES",
    "name": "Operating Expenses",
    "created_at": "2026-01-15T10:30:00Z",
    "updated_at": "2026-01-15T10:30:00Z"
  }
}
401Unauthenticated
{
  "success": false,
  "message": "Validation failed",
  "code": "VALIDATION_ERROR"
}
403Forbidden
{
  "success": false,
  "message": "Validation failed",
  "code": "VALIDATION_ERROR"
}
404Account set not found
{
  "success": false,
  "message": "Validation failed",
  "code": "VALIDATION_ERROR"
}

Examples

curl https://ledga.io/api/v1/account-sets/{accountSetId} \
  -H "Authorization: Bearer sk_xxxxxxxx_your_secret"

← All endpoints